Bug 1224431 - /var/log/pcp/pmcd/proc.log grows 1MB/day
Summary: /var/log/pcp/pmcd/proc.log grows 1MB/day
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-23 00:45 UTC by Frank Ch. Eigler
Modified: 2015-08-22 16:34 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-08-13 16:56:47 UTC


Attachments (Terms of Use)

Description Frank Ch. Eigler 2015-05-23 00:45:11 UTC
A server with low-moderate activity running pcp-3.10.4-1.fc21.x86_64 is accumulating about 1MB/day in proc.log and about 150kB/day in pmcd.log.  The same sort of behaviour was observed with previous pcp versions too.

Example pmcd.log entries:

[Fri May 22 20:36:01] pmcd(36111) Error: ClientLoop: error sending Conn ACK PDU to new client IPC protocol failure
[Fri May 22 20:37:00] pmcd(36111) Error: ClientLoop: error sending Conn ACK PDU to new client IPC protocol failure
[Fri May 22 20:39:01] pmcd(36111) Error: ClientLoop: error sending Conn ACK PDU to new client IPC protocol failure
[Fri May 22 20:40:00] pmcd(36111) Error: ClientLoop: error sending Conn ACK PDU to new client IPC protocol failure


Example proc.log entries - all of them related to this particular type of process (a component of spamassassin):


UNKNOWN c : 81621 (spamd child) S 74705 74705 74705 0 -1 4219200 15829 0 2 0 373 14 0 0 20 0 1 0 918209255 319594496 18571 18446744073709551615 41
94304 4198596 140734861698688 140734861697896 140698209217219 0 0 4224 10240 18446744071581080793 0 0 17 3 0 0 459 0 0 6298960 6299796 16855040 14
0734861700957 140734861701002 140734861701002 140734861701097 0
733506273258 0
737133871081 0
 0
40737217372040 140737217372136 0
0
0

0

UNKNOWN c : 45810 (spamd child) S 74705 74705 74705 0 -1 4219200 30715 0 9 0 22047 274 0 0 20 0 1 0 904647629 361373696 29265 18446744073709551615
 4194304 4198596 140734861698688 140734861697896 140698209217219 0 0 4224 10240 18446744071581080793 0 0 17 0 0 0 5562 0 0 6298960 6299796 1685504
0 140734861700957 140734861701002 140734861701002 140734861701097 0
40736156069794 140736156069866 0
733323706342 0
72136 0
06047 0
0

0

Comment 1 Fedora Update System 2015-08-04 05:36:59 UTC
pcp-3.10.6-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/pcp-3.10.6-1.fc23

Comment 2 Fedora Update System 2015-08-04 05:37:35 UTC
pcp-3.10.6-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/pcp-3.10.6-1.fc22

Comment 3 Fedora Update System 2015-08-04 05:38:20 UTC
pcp-3.10.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pcp-3.10.6-1.fc21

Comment 4 Fedora Update System 2015-08-04 05:39:04 UTC
pcp-3.10.6-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.10.6-1.el5

Comment 5 Frank Ch. Eigler 2015-08-04 15:35:23 UTC
This bug is still present as of 3.10.6.  What was the pcp commit# that was believed to have fixed it?

Easy reproduction:
# pminfo -f proc >/dev/null
# cat /var/log/pcp/pmcd/proc.log
 UNKNOWN c : 5131 (spamd child) S 5124 5124 5124 0 -1 4219200 23154 0 2019 0 15907 333 0 0 20 0 1 0 472521055 356552704 25180 18446744073709551615 4194304 4198596 140731115465408 140731115464616 140530657782467 0 0 4224 10240 18446744071581143977 0 0 17 1 0 0 8877 0 0 6298960 6299796 19238912 140731115466589 140731115466634 140731115466634 140731115466729 0
2691 140725319802838 0
9463674 140726249463674 140726249463772 0

Comment 6 Nathan Scott 2015-08-04 23:17:48 UTC
The bug $subject is "log grows by X per day" - there is now a clamp on the number of times that message will be logged (to max of three IIRC), not that there will be no diagnostic at all.

Please do not adjust the bugzilla status without discussing first, thanks.

Comment 7 Fedora Update System 2015-08-05 00:12:29 UTC
Package pcp-3.10.6-1.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pcp-3.10.6-1.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12753/pcp-3.10.6-1.fc23
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-08-13 16:56:47 UTC
pcp-3.10.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-08-13 16:58:31 UTC
pcp-3.10.6-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-08-15 02:17:56 UTC
pcp-3.10.6-1.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-08-22 16:33:52 UTC
pcp-3.10.6-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.